Description

HUD Frost shards from XARP changing their Zoffset if instaltly fire after switching

1) Turn on XARP http://dengine.net/talk/discussion/1491/xarp-hexen-authentic-resource-pack-jxccp-maintained/p1 and start hexen
with mage

2) Type NRA cheat

3) Try to switch to frost sharts and press fire key immediately

Actual result: Zoffset changed (only fingers are visible):
https://www.youtube.com/watch?v=6MLU4EOSfCE&index=238&t=6899s&list=PL5QwAqOy7WABpsDsuzSKwTk2S8QnzslLg5#t=1h04
mO04s (watch at 1:04:07)

Expected result: Zoffset should not change (whole hand should be visible):
https://www.youtube.com/watch?v=6MLU4EOSfCE&index=23&t=6899s&list=PL5QwWAqOy7WABpsDsuzSKwTk2S8QnzsLg5#t=1h04
mO08s (watch at 1:04:09)

Reproduced in 1.15.8 and 2.0 stable

History

#1 - 2017-04-05 01:08 - theleo_ua

Actual result: Zoffset changed (only fingers are invisible)

should be:
Actual result: Zoffset changed (only fingers are visible)

#2 - 2017-04-05 06:47 - skyjake
- Tags set to 3DModel, Renderer

- Subject changed from HUD Frost shards from XARP changing their Zoffset if instaltly fire after switching to HUD Frost shards from XARP changing
their Zoffset if instantly fire after switching

- Description updated

#3 - 2017-04-10 21:01 - skyjake

- Target version set to Rendering
